POST api/RashakaMeals/DeleteComment
Request Information
URI Parameters
None.
Body Parameters
MealDeleteCommentModel| Name | Description | Type | Additional information |
|---|---|---|---|
| mealId | integer |
None. |
|
| commentGuid | globally unique identifier |
None. |
|
| accountGuid | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"mealId": 1,
"commentGuid": "2db20b83-9863-498c-8d64-0a78db264124",
"accountGuid": "f4ca3535-1702-4027-bcf7-ae583bd9869c"
}
text/plain, application/octet-stream
Sample:
{"mealId":1,"commentGuid":"2db20b83-9863-498c-8d64-0a78db264124","accountGuid":"f4ca3535-1702-4027-bcf7-ae583bd9869c"}
application/xml, text/xml
Sample:
<MealDeleteCommentModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.ApiRequestBody"> <accountGuid>f4ca3535-1702-4027-bcf7-ae583bd9869c</accountGuid> <commentGuid>2db20b83-9863-498c-8d64-0a78db264124</commentGuid> <mealId>1</mealId> </MealDeleteCommentModel>
multipart/form-data, application/form-data
Sample:
<MealDeleteCommentModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.ApiRequestBody"><accountGuid>f4ca3535-1702-4027-bcf7-ae583bd9869c</accountGuid><commentGuid>2db20b83-9863-498c-8d64-0a78db264124</commentGuid><mealId>1</mealId></MealDeleteCommentModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, text/plain, application/octet-stream, application/xml, text/xml, multipart/form-data, application/form-data
Sample:
Sample not available.